CaeGroup Class

class NXOpen.CAE.CaeGroup

Bases: NXOpen.NXObject, NXOpen.CAE.IExportableFEEntity

Represents a group class NXOpen.CAE.CaeGroup.

To obtain an instance of this object use on of the creator in NXOpen.CAE.CaeGroupCollection.

New in version NX6.0.0.

Properties

Property Description
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Label Returns or sets the Group Label
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Tag Returns the Tag for this object.

Methods

Method Description
AddEntities Adds entities in to the group
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetElementEdges Returns Element Edges in the Group.
GetElementFaces Returns Element Faces in the Group.
GetEntities Gets entities in to the group.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetName Gets the name of the CaeGroup
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetSolverCardSyntax Returns the solver card syntax strings for this entity.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
GroupInformation Display information of this group
HasNonDisplayableEntities Returns whether the group has non-displayable entities
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
HideGroup Hide this group.
Print Prints a representation of this object to the system log file.
RemoveEntities Removes entities from the group
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetEntities Set entities in to the group
SetName CaeGroups the name of the group
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
ShowGroup Show this group.
ShowOnlyGroup Shows this group only.

Property Detail

IsOccurrence

CaeGroup.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

CaeGroup.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Label

CaeGroup.Label

Returns or sets the Group Label

-------------------------------------

Getter Method

Signature Label

Returns:
Return type:int

New in version NX7.5.2.

License requirements: None.

-------------------------------------

Setter Method

Signature Label

Parameters:label (int) – The group label must be >=0 and be unique

New in version NX7.5.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Name

CaeGroup.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

CaeGroup.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

CaeGroup.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

CaeGroup.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

AddEntities

CaeGroup.AddEntities

Adds entities in to the group

Signature AddEntities(objects)

Parameters:objects (list of NXOpen.TaggedObject) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FindObject

CaeGroup.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetElementEdges

CaeGroup.GetElementEdges

Returns Element Edges in the Group.

Signature GetElementEdges()

Returns:element edges in group
Return type:list of NXOpen.CAE.ElemEdgefaceObject

New in version NX11.0.0.

License requirements: None.

GetElementFaces

CaeGroup.GetElementFaces

Returns Element Faces in the Group.

Signature GetElementFaces()

Returns:element edges in group
Return type:list of NXOpen.CAE.ElemEdgefaceObject

New in version NX11.0.0.

License requirements: None.

GetEntities

CaeGroup.GetEntities

Gets entities in to the group.

Signature GetEntities()

Returns:
Return type:list of NXOpen.TaggedObject

New in version NX6.0.0.

License requirements: None.

GetName

CaeGroup.GetName

Gets the name of the CaeGroup

Signature GetName()

Returns:
Return type:str

New in version NX6.0.0.

License requirements: None.

GetSolverCardSyntax

CaeGroup.GetSolverCardSyntax

Returns the solver card syntax strings for this entity.

Signature GetSolverCardSyntax()

Returns:
Return type:list of str

New in version NX8.5.0.

License requirements: None.

GroupInformation

CaeGroup.GroupInformation

Display information of this group

Signature GroupInformation()

New in version NX6.0.0.

License requirements: None.

HasNonDisplayableEntities

CaeGroup.HasNonDisplayableEntities

Returns whether the group has non-displayable entities

Signature HasNonDisplayableEntities()

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: None.

HideGroup

CaeGroup.HideGroup

Hide this group.

Note that CAE.FEElemEdge, CAE.FEElemFace and CAE.CAEEdge do not participate in this command. They are non-displayable entities and are never drawn individually in NX. Use NXOpen.CAE.CaeGroup.HasNonDisplayableEntities() to determine if the group contains these entities.

Signature HideGroup()

New in version NX6.0.0.

License requirements: None.

Print

CaeGroup.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

RemoveEntities

CaeGroup.RemoveEntities

Removes entities from the group

Signature RemoveEntities(objects)

Parameters:objects (list of NXOpen.TaggedObject) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetEntities

CaeGroup.SetEntities

Set entities in to the group

Signature SetEntities(objects)

Parameters:objects (list of NXOpen.TaggedObject) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetName

CaeGroup.SetName

CaeGroups the name of the group

Signature SetName(name)

Parameters:name (str) –

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ShowGroup

CaeGroup.ShowGroup

Show this group.

Note that CAE.FEElemEdge, CAE.FEElemFace and CAE.CAEEdge do not participate in this command. They are non-displayable entities and are never drawn individually in NX. Use NXOpen.CAE.CaeGroup.HasNonDisplayableEntities() to determine if the group contains these entities.

Signature ShowGroup()

New in version NX6.0.0.

License requirements: None.

ShowOnlyGroup

CaeGroup.ShowOnlyGroup

Shows this group only.

Note that CAE.FEElemEdge, CAE.FEElemFace and CAE.CAEEdge do not participate in this command. They are non-displayable entities and are never drawn individually in NX. Use NXOpen.CAE.CaeGroup.HasNonDisplayableEntities() to determine if the group contains these entities.

Signature ShowOnlyGroup()

New in version NX6.0.0.

License requirements: None.